- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::custom_error< T > Class Template Reference

Custom error. More...

`#include <sbuild-custom-error.h>`

Inheritance diagram for sbuild::custom_error< T >:

[legend]
Collaboration diagram for sbuild::custom_error< T >:

[legend]
List of all members.

## Public Types
typedef error< T >::error_type | error_type
| The enum type providing the error codes for this type.
## Public Member Functions
| custom_error (error_type error)
| The constructor.
template<typename C>
| custom_error (C const &context, error_type error)
| The constructor.
template<typename D>
| custom_error (error_type error, D const &detail)
| The constructor.
template<typename D, typename E>
| custom_error (error_type error, D const &detail, E const &detail2)
| The constructor.
template<typename C, typename D>
| custom_error (C const &context, error_type error, D const &detail)
| The constructor.
template<typename C, typename D, typename E>
| custom_error (C const &context, error_type error, D const &detail, E const &detail2)
| The constructor.
template<typename C, typename D, typename E>
| custom_error (C const &context1, D const &context2, error_type error, E const &detail)
| The constructor.
template<typename C, typename D, typename E, typename F>
| custom_error (C const &context1, D const &context2, error_type error, E const &detail, F const &detail2)
| The constructor.
| custom_error (std::runtime_error const &error)
| The constructor.
| custom_error (error_base const &error)
| The constructor.
template<typename C>
| custom_error (C const &context, std::runtime_error const &error)
| The constructor.
template<typename C>
| custom_error (C const &context, error_base const &error)
| The constructor.
virtual | ~custom_error () throw ()
| The destructor.

## Detailed Description

### template<typename T>
class sbuild::custom_error< T >

Custom error.

## Member Typedef Documentation

template<typename T>

typedef error<T>::error_type sbuild::custom_error< T >::error_type

The enum type providing the error codes for this type.

Reimplemented from sbuild::error< T >.

## Constructor & Destructor Documentation

template<typename T>

sbuild::custom_error< T >::custom_error | ( | error_type | error | ) | `[inline]`

The constructor.

Parameters:

  | error | the error code.

template<typename T>
template<typename C>

sbuild::custom_error< T >::custom_error | ( | C const & | context,
|  | error_type | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context | the context of the error.
  | error | the error code.

template<typename T>
template<typename D>

sbuild::custom_error< T >::custom_error | ( | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename D, typename E>

sbuild::custom_error< T >::custom_error | ( | error_type | error,
|  | D const & | detail,
|  | E const & | detail2 |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | error | the error code.
  | detail | the details of the error.
  | detail2 | additional details of the error.

template<typename T>
template<typename C, typename D>

sbuild::custom_error< T >::custom_error | ( | C const & | context,
|  | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context | the context of the error.
  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename C, typename D, typename E>

sbuild::custom_error< T >::custom_error | ( | C const & | context,
|  | error_type | error,
|  | D const & | detail,
|  | E const & | detail2 |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context | the context of the error.
  | error | the error code.
  | detail | the details of the error.
  | detail2 | additional details of the error.

template<typename T>
template<typename C, typename D, typename E>

sbuild::custom_error< T >::custom_error | ( | C const & | context1,
|  | D const & | context2,
|  | error_type | error,
|  | E const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context1 | the context of the error.
  | context2 | additional context of the error.
  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename C, typename D, typename E, typename F>

sbuild::custom_error< T >::custom_error | ( | C const & | context1,
|  | D const & | context2,
|  | error_type | error,
|  | E const & | detail,
|  | F const & | detail2 |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context1 | the context of the error.
  | context2 | additional context of the error.
  | error | the error code.
  | detail | the details of the error.
  | detail2 | additional details of the error.

template<typename T>

sbuild::custom_error< T >::custom_error | ( | std::runtime_error const & | error | ) | `[inline]`

The constructor.

Parameters:

  | error | the error.

template<typename T>

sbuild::custom_error< T >::custom_error | ( | error_base const & | error | ) | `[inline]`

The constructor.

Parameters:

  | error | the error.

template<typename T>
template<typename C>

sbuild::custom_error< T >::custom_error | ( | C const & | context,
|  | std::runtime_error const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context | the context of the error.
  | error | the error.

template<typename T>
template<typename C>

sbuild::custom_error< T >::custom_error | ( | C const & | context,
|  | error_base const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context | the context of the error.
  | error | the error.

template<typename T>

virtual sbuild::custom_error< T >::~custom_error | ( |  | ) | throw ()`[inline, virtual]`

The destructor.

The documentation for this class was generated from the following file:

- sbuild/sbuild-custom-error.h